#include "legato.h"
#include "interfaces.h"

// we use the length defined in logger.api: MSG_API_SIZE
#define MESSAGE_SIZE SAMPLE_MSG_API_SIZE
#define MESSAGE_MAX  (MESSAGE_SIZE - 1)

#define PREFIX_LOG_MSG "LOG_CLIENT> "
#define TIME_TO_WAIT_BETWEEN_REQUESTS 10

char message2[MESSAGE_SIZE] = {0};
COMPONENT_INIT
{
	uint32_t nbrRequestToServer = 0;
	char     messageToLog[MESSAGE_SIZE] = {0};

	LE_INFO( PREFIX_LOG_MSG "start" );

	// sends a request to the server every TIME_TO_WAIT_BETWEEN_REQUESTS seconds
	while(1)
	{
		nbrRequestToServer++;

		LE_INFO( PREFIX_LOG_MSG "make the request no %u to server", nbrRequestToServer );

		snprintf( messageToLog, MESSAGE_SIZE,
		          "log from client : request no %u", nbrRequestToServer );
		messageToLog[ MESSAGE_MAX ] = '\0';

		// "Sample_" because of "requires: api: Test.api" from Component.cdef,
		// then "logMessage" is function defined in Test.api
		Sample_logMessage( messageToLog, message2,MESSAGE_SIZE);

		sleep( TIME_TO_WAIT_BETWEEN_REQUESTS );


		 Sample_ARRAY123_t test;

		Sample_arraySend(&test);
	}

}